#include	<iostream>
using namespace	std;

class point {
	int	x, y;
public:
	point( int i = 0, int j = 0 )
		{ x = i; y = j; }
	void get( int &i, int &j )
		{ i = x; j = y; }
	friend point operator+( point, int );
	friend point operator+( int, point );
};

point operator+( point obj, int num )
{
	point temp;
	temp.x = obj.x + num;
	temp.y = obj.y + num;
	return( temp );
}

point operator+( int num, point obj )
{
	point temp;
	temp.x = num + obj.x;
	temp.y = num + obj.y;
	return( temp );
}

int main( void )
{
	point o1(20,30);
	point o2(5,11);
	int	x, y;

	(o1+9).get(x,y);
	cout << "x = " << x << ", y = " << y << "\n";
	(13+o2).get(x,y);
	cout << "x = " << x << ", y = " << y << "\n";
}
