#include	<iostream>
using namespace	std;

class point {
	int	x, y;
public:
	point( int i = 0, int j = 0 )
		{ x = i; y = j; }
	void get( int &i, int &j )
		{ i = x; j = y; }
	int operator&&( point & );
	int operator==( point & );
};

int point::operator&&( point &o2 )
{
	int	ret;
	ret = ((x && o2.x)? 1: 0); 
	ret |= ((y && o2.y)? 2: 0); 
	return( ret );
}

int point::operator==( point &o2 )
{
	int	ret;
	ret = (((x == o2.x) && (y == o2.y))? 1: 0); 
	return( ret );
}

int main( void )
{
	point o1(3,5);
	point o2(3,5);
	point o3(1,0);
	point o4(0,1);

	if( o1 == o2 )
		cout << "o1 == o2\n";
	else
		cout << "o1 != o2\n";

	cout << "o1 && o3 = " << (o1 && o3) << "\n";
	cout << "o1 && o4 = " << (o1 && o4) << "\n";
}
